Package org.eclipse.birt.report.engine.api.script.eventhandler

# Interface ITextItemEventHandler

All Known Implementing Classes:
  `TextItemEventAdapter`

public interface ITextItemEventHandler
Script event handler interface for a text item

## Method Summary

Modifier and Type
Method
Description
`void`
`onCreate(ITextItemInstance text, IReportContext reportContext)`
Handle the onCreate event
`void`
`onPageBreak(ITextItemInstance text, IReportContext reportContext)`
Handle the onPageBreak event
`void`
`onPrepare(ITextItem textItemHandle, IReportContext reportContext)`
Handle the onPrepare event
`void`
`onRender(ITextItemInstance text, IReportContext reportContext)`
Handle the onRender event

## Method Details

### onPrepare

void onPrepare(ITextItem textItemHandle, IReportContext reportContext) throws ScriptException
Handle the onPrepare event

Throws:
  `ScriptException`

### onCreate

void onCreate(ITextItemInstance text, IReportContext reportContext) throws ScriptException
Handle the onCreate event

Throws:
  `ScriptException`

### onRender

void onRender(ITextItemInstance text, IReportContext reportContext) throws ScriptException
Handle the onRender event

Throws:
  `ScriptException`

### onPageBreak

void onPageBreak(ITextItemInstance text, IReportContext reportContext) throws ScriptException
Handle the onPageBreak event

Throws:
  `ScriptException`